Settlement progress for a payment
GET
/payments/splitter-status/{paymentId}
const url = 'https://hub.stablezact.com/api/v1/payments/splitter-status/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-Public-Key': '<X-Public-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://hub.stablezact.com/api/v1/payments/splitter-status/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-Public-Key: <X-Public-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”paymentId
required
string format: uuid
Responses
Section titled “Responses”Where the settlement has reached.
Media typeapplication/json
object
success
boolean
paymentSplitterStatus
object
amount
string
currency
string
network
string
contractAddress
string
merchantWallet
string
createdAt
string format: date-time
Examplegenerated
{ "success": true, "paymentSplitterStatus": { "amount": "example", "currency": "example", "network": "example", "contractAddress": "example", "merchantWallet": "example", "createdAt": "2026-04-15T12:00:00Z" }}Missing or invalid credentials.
Media typeapplication/json
object
success
boolean
error
required
Short machine-ish reason.
string
message
Longer explanation, when there is one.
string
Example
{ "error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."}